Pivotal Software Pivotal Operations Manager 跨站脚本漏洞

CVE编号

CVE-2019-3776

利用情况

暂无

补丁情况

N/A

披露时间

2019-03-08
漏洞描述
Pivotal Software Pivotal Operations Manager是美国Pivotal Software公司的一套Cloud Foundry自动化管理解决方案。该方案能够自动化部署、升级和管理Cloud Foundry平台。
Pivotal Software Pivotal Operations Manager中存在跨站脚本漏洞。远程攻击者可通过诱使用户与恶意的内容进行交互利用该漏洞在用户浏览器中执行任意的JavaScript代码。以下版本受到影响:Pivotal Softwareb Pivotal Operations Manager 2.1.20之前的2.1.x版本,2.2.16之前的2.2.x版本,2.3.10之前的2.3.x版本,2.4.3之前的2.4.x版本。

解决建议
目前厂商已发布升级补丁以修复漏洞,补丁获取链接:
https://pivotal.io/security/cve-2019-3776
受影响软件情况
# 类型 厂商 产品 版本 影响面
1
运行在以下环境
应用 pivotal_software operations_manager * From
(including)
2.1.0
Up to
(excluding)
2.1.20
运行在以下环境
应用 pivotal_software operations_manager * From
(including)
2.2.0
Up to
(excluding)
2.2.16
运行在以下环境
应用 pivotal_software operations_manager * From
(including)
2.3.0
Up to
(excluding)
2.3.10
运行在以下环境
应用 pivotal_software operations_manager * From
(including)
2.4.0
Up to
(excluding)
2.4.3
CVSS3评分
5.4
  • 攻击路径
    网络
  • 攻击复杂度
  • 权限要求
  • 影响范围
    已更改
  • 用户交互
    需要
  • 可用性
  • 保密性
  • 完整性
CWE-ID 漏洞类型
CWE-79 在Web页面生成时对输入的转义处理不恰当(跨站脚本)
阿里云安全产品覆盖情况